aboutsummaryrefslogtreecommitdiff
path: root/config/uzbl/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'config/uzbl/scripts')
-rwxr-xr-xconfig/uzbl/scripts/download.sh69
-rwxr-xr-xconfig/uzbl/scripts/gonew.pl16
-rwxr-xr-xconfig/uzbl/scripts/goto.pl16
-rwxr-xr-xconfig/uzbl/scripts/gowiki.pl16
-rwxr-xr-xconfig/uzbl/scripts/gowikio.pl16
5 files changed, 133 insertions, 0 deletions
diff --git a/config/uzbl/scripts/download.sh b/config/uzbl/scripts/download.sh
new file mode 100755
index 0000000..398f271
--- /dev/null
+++ b/config/uzbl/scripts/download.sh
@@ -0,0 +1,69 @@
+#!/bin/sh
+# uzbl's example configuration sets this script up as its download_handler.
+# this script is run when uzbl encounters a URL that it can't display, and when
+# a download is requested using the 'download' command.
+#
+# if the script prints a file path to stdout, uzbl will save the download to
+# that path using it's internal downloader.
+#
+# if nothing is printed to stdout, the internal download will be cancelled.
+# you could do your own download handling in your script that way.
+
+# if $5 is set, it is the path that was passed to uzbl's "download" command.
+# we want to use that if it's available.
+[ -n "$5" ] && echo "$5" && exit
+
+. "$UZBL_UTIL_DIR/uzbl-dir.sh"
+
+# the URL that is being downloaded
+uri="$1"
+shift
+
+safe_uri="$( echo "$uri" | sed -e 's/\W/-/g' )"
+
+# a filename suggested by the server or based on the URL
+suggested_filename="${1:-$safe_uri}"
+shift
+
+# the mimetype of the file being downloaded
+content_type="$1"
+shift
+
+# the size of the downloaded file in bytes. this is not always accurate, since
+# the server might not have sent a size with its response headers.
+total_size="$1"
+shift
+
+case "$suggested_filename" in
+ # example: save torrents to a separate directory
+ *.torrent)
+ path="/home/vasko/Torrents/$suggested_filename"
+ ;;
+ # Default case
+ *)
+ path="/home/vasko/Downloads/$suggested_filename"
+ ;;
+esac
+
+source ~/.colors;
+
+if ! /home/vasko/.ratpoison/ratmenu -style dreary -fg \"$COLOR11\" -bg \"$COLOR0\" -io 2 "Download \"$suggested_filename\"?" false Yes true No false;then
+path='';
+fi
+
+# Do nothing if we don't want to save the file
+[ -z "$path" ] && exit 0
+
+# Check if the file exists
+if [ ! -e "$path" ]; then
+ echo "$path"
+ exit 0
+fi
+
+# Try to make a unique filename
+count=1
+while [ -e "$path.$count" ]; do
+ count=$(( $count + 1 ))
+done
+
+echo "$path.$count"
diff --git a/config/uzbl/scripts/gonew.pl b/config/uzbl/scripts/gonew.pl
new file mode 100755
index 0000000..480dc4f
--- /dev/null
+++ b/config/uzbl/scripts/gonew.pl
@@ -0,0 +1,16 @@
+#!/usr/bin/perl
+
+my @cmd = @ARGV;
+my $fifo = $ENV{'UZBL_FIFO'};
+
+
+#If there are no dots in the first word or more than one word is suppllied expect a phrase for google. Else go to the uri specified.
+if (index(@cmd[0], '.') == -1 || scalar @cmd > 1)
+{
+ # Replace this with your search engine
+ qx(echo "event new_tab http://www.google.com/search?q=@ARGV" > $fifo);
+}
+else
+{
+ qx(echo "event new_tab @cmd" > $fifo);
+}
diff --git a/config/uzbl/scripts/goto.pl b/config/uzbl/scripts/goto.pl
new file mode 100755
index 0000000..ea7269e
--- /dev/null
+++ b/config/uzbl/scripts/goto.pl
@@ -0,0 +1,16 @@
+#!/usr/bin/perl
+
+my @cmd = @ARGV;
+my $fifo = $ENV{'UZBL_FIFO'};
+
+
+#If there are no dots in the first word or more than one word is suppllied expect a phrase for google. Else go to the uri specified.
+if (index(@cmd[0], '.') == -1 || scalar @cmd > 1)
+{
+ # Replace this with your search engine
+ qx(echo "uri http://www.google.com/search?q=@ARGV" >> $fifo);
+}
+else
+{
+ qx(echo "uri @cmd" >> $fifo);
+}
diff --git a/config/uzbl/scripts/gowiki.pl b/config/uzbl/scripts/gowiki.pl
new file mode 100755
index 0000000..61f636d
--- /dev/null
+++ b/config/uzbl/scripts/gowiki.pl
@@ -0,0 +1,16 @@
+#!/usr/bin/perl
+
+my @cmd = @ARGV;
+my $fifo = $ENV{'UZBL_FIFO'};
+
+
+#If there are no dots in the first word or more than one word is suppllied expect a phrase for google. Else go to the uri specified.
+if (index(@cmd[0], '.') == -1 || scalar @cmd > 1)
+{
+ # Replace this with your search engine
+ qx(echo "uri http://127.0.0.1:8000/search?content=wikipedia_en_all_nopic_01_2014&pattern=@ARGV" >> $fifo);
+}
+else
+{
+ qx(echo "uri @cmd" >> $fifo);
+}
diff --git a/config/uzbl/scripts/gowikio.pl b/config/uzbl/scripts/gowikio.pl
new file mode 100755
index 0000000..743c69c
--- /dev/null
+++ b/config/uzbl/scripts/gowikio.pl
@@ -0,0 +1,16 @@
+#!/usr/bin/perl
+
+my @cmd = @ARGV;
+my $fifo = $ENV{'UZBL_FIFO'};
+
+
+#If there are no dots in the first word or more than one word is suppllied expect a phrase for google. Else go to the uri specified.
+if (index(@cmd[0], '.') == -1 || scalar @cmd > 1)
+{
+ # Replace this with your search engine
+ qx(echo "uri http://en.wikipedia.org/w/index.php?search=@ARGV" >> $fifo);
+}
+else
+{
+ qx(echo "uri @cmd" >> $fifo);
+}